| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLSchemaDescription Class Reference Inheritance diagram for XMLSchemaDescription: [legend] Collaboration diagram for XMLSchemaDescription: [legend] List of all members.
## The SchemaDescription Interface
enum | ContextType { CONTEXT_INCLUDE, CONTEXT_REDEFINE, CONTEXT_IMPORT, CONTEXT_PREPARSE, CONTEXT_INSTANCE, CONTEXT_ELEMENT, CONTEXT_ATTRIBUTE, CONTEXT_XSITYPE, CONTEXT_UNKNOWN }
virtual ContextType | getContextType () const=0
| getContextType. More...
virtual const XMLCh * | getTargetNamespace () const=0
| getTargetNamespace. More...
virtual RefArrayVectorOf< XMLCh > * | getLocationHints () const=0
| getLocationHints. More...
virtual const QName * | getTriggeringComponent () const=0
| getTriggeringComponent. More...
virtual const QName * | getEnclosingElementName () const=0
| getenclosingElementName. More...
virtual const XMLAttDef * | getAttributes () const=0
| getAttributes. More...
virtual void | setContextType (ContextType)=0
| setContextType. More...
virtual void | setTargetNamespace (const XMLCh *const)=0
| setTargetNamespace. More...
virtual void | setLocationHints (const XMLCh *const)=0
| setLocationHints. More...
virtual void | setTriggeringComponent (QName *const)=0
| setTriggeringComponent. More...
virtual void | setEnclosingElementName (QName *const)=0
| getenclosingElementName. More...
virtual void | setAttributes (XMLAttDef *const)=0
| setAttributes. More...
## Public Types
## Public Methods
Virtual destructor for derived classes
virtual | ~XMLSchemaDescription ()
| virtual destructor. More...
Implementation of Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const
| getGrammarType. More...
## Protected Methods
| XMLSchemaDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
## Member Enumeration Documentation
enum XMLSchemaDescription::ContextType
  | Enumeration values:
  CONTEXT_INCLUDE |
  CONTEXT_REDEFINE |
  CONTEXT_IMPORT |
  CONTEXT_PREPARSE |
  CONTEXT_INSTANCE |
  CONTEXT_ELEMENT |
  CONTEXT_ATTRIBUTE |
  CONTEXT_XSITYPE |
  CONTEXT_UNKNOWN |
## Constructor & Destructor Documentation
virtual XMLSchemaDescription::~XMLSchemaDescription | ( |  | ) | `[virtual]`
| virtual destructor.
XMLSchemaDescription::XMLSchemaDescription | ( | MemoryManager *const | memMgr = XMLPlatformUtils::fgMemoryManager | ) | `[protected]`
## Member Function Documentation
virtual const XMLAttDef* XMLSchemaDescription::getAttributes | ( |  | ) | const`[pure virtual]`
| getAttributes.
virtual ContextType XMLSchemaDescription::getContextType | ( |  | ) | const`[pure virtual]`
| getContextType.
virtual const QName* XMLSchemaDescription::getEnclosingElementName | ( |  | ) | const`[pure virtual]`
| getenclosingElementName.
virtual Grammar::GrammarType XMLSchemaDescription::getGrammarType | ( |  | ) | const`[virtual]`
| getGrammarType. Implements XMLGrammarDescription.
virtual RefArrayVectorOf<XMLCh>* XMLSchemaDescription::getLocationHints | ( |  | ) | const`[pure virtual]`
| getLocationHints.
virtual const XMLCh* XMLSchemaDescription::getTargetNamespace | ( |  | ) | const`[pure virtual]`
| getTargetNamespace.
virtual const QName* XMLSchemaDescription::getTriggeringComponent | ( |  | ) | const`[pure virtual]`
| getTriggeringComponent.
virtual void XMLSchemaDescription::setAttributes | ( | XMLAttDef * | const | ) | `[pure virtual]`
| setAttributes.
virtual void XMLSchemaDescription::setContextType | ( | ContextType |  | ) | `[pure virtual]`
| setContextType.
virtual void XMLSchemaDescription::setEnclosingElementName | ( | QName * | const | ) | `[pure virtual]`
| getenclosingElementName.
virtual void XMLSchemaDescription::setLocationHints | ( | const XMLCh * | const | ) | `[pure virtual]`
| setLocationHints.
virtual void XMLSchemaDescription::setTargetNamespace | ( | const XMLCh * | const | ) | `[pure virtual]`
| setTargetNamespace.
virtual void XMLSchemaDescription::setTriggeringComponent | ( | QName * | const | ) | `[pure virtual]`
| setTriggeringComponent.
The documentation for this class was generated from the following file: XMLSchemaDescription.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.